<template>
  <q-layout view="hHh lpR fFf">
    <q-header elevated class="absolute-top">
      <q-toolbar>
        <q-btn
          flat
          dense
          round
          icon="menu"
          aria-label="Menu"
          @click="toggleLeftDrawer"
        />

        <q-toolbar-title>
          <strong v-if="!$route.meta.title">
            <span style="text-decoration: line-through">Я</span>занят
          </strong>
          <span v-else v-html="$route.meta.title" />
        </q-toolbar-title>

        <q-btn
          dense
          round
          icon="qr_code"
          class="q-mr-sm"
          to="/account/qrcode"
        />

        <q-btn
          dense
          round
          :icon="$store.state.settings.darkMode ? 'light_mode' : 'dark_mode'"
          class="q-mr-sm"
          @click="$store.dispatch('settings/toggleDarkMode')"
        />

        <q-btn dense round icon="mail" to="/account/messages">
          <q-badge rounded color="accent" label="3" floating />
        </q-btn>
      </q-toolbar>
    </q-header>

    <q-drawer v-model="leftDrawerOpen" elevated overlay>
      <q-scroll-area
        style="
          height: calc(100% - 150px);
          margin-top: 150px;
          border-right: 1px solid #ddd;
        "
      >
        <q-list padding>
          <q-item to="/account" exact>
            <q-item-section avatar>
              <q-icon name="inbox" />
            </q-item-section>
            <q-item-section> Мой профиль </q-item-section>
          </q-item>

          <q-item to="/account/orders">
            <q-item-section avatar>
              <q-icon name="star" />
            </q-item-section>
            <q-item-section> Мои заказы </q-item-section>
          </q-item>

          <q-item to="/account/clients">
            <q-item-section avatar>
              <q-icon name="drafts" />
            </q-item-section>
            <q-item-section> Мои клиенты </q-item-section>
          </q-item>

          <q-item to="/account/messages">
            <q-item-section avatar>
              <q-icon name="send" />
            </q-item-section>
            <q-item-section> Общение </q-item-section>
          </q-item>
        </q-list>
      </q-scroll-area>
      <q-img
        class="absolute-top"
        src="~assets/material.png"
        style="height: 150px"
      >
        <div class="absolute-bottom bg-transparent">
          <q-btn
            fab-mini
            icon="logout"
            style="position: absolute; right: 10px; top: 0"
            @click="$store.dispatch('user/logout', { vm: this })"
          />
          <q-avatar size="56px" class="q-mb-sm">
            <q-img fit="contain" src="~assets/boy-avatar.png" />
          </q-avatar>
          <div class="text-weight-bold">
            Привет, {{ $store.state.user.user.login }}!
          </div>
          <div>{{ $store.state.user.user.email }}</div>
        </div>
      </q-img>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
export default {
  name: 'WorkerLayout',
  data() {
    return {
      leftDrawerOpen: false,
    }
  },
  mounted() {
    this.$store.dispatch(
      'settings/setDarkMode',
      this.$store.state.settings.darkMode,
    )
  },
  methods: {
    toggleLeftDrawer() {
      this.leftDrawerOpen = !this.leftDrawerOpen
    },
  },
}
</script>
